Package net.shibboleth.idp.attribute.resolver.ad.mapped.impl

# Class SourceValue

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.idp.attribute.resolver.ad.mapped.impl.SourceValue

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`

public class SourceValue extends AbstractInitializableComponent
Represents incoming attribute values and rules used for matching them. The value may include regular expressions.

## Field Summary

Fields
Modifier and Type
Field
Description
`private boolean`
`caseSensitive`
Whether case should be taken into account when matching.
`private boolean`
`partialMatch`
Whether partial matches should be allowed.
`private Pattern`
`pattern`
In the regexp case this contains the compiled pattern.
`private String`
`value`
Value string.

## Constructor Summary

Constructors
Constructor
Description
`SourceValue()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doInitialize()`
`Pattern`
`getPattern()`
get the compiled pattern.
`String`
`getValue()`
Gets the value string.
`boolean`
`isCaseSensitive()`
Gets whether matching should be case sensitive.
`boolean`
`isPartialMatch()`
Gets whether partial matches should be allowed.
`void`
`setCaseSensitive(boolean theCaseSensitive)`
Set whether case is sensitive.
`void`
`setPartialMatch(boolean thePartialMatch)`
Set whether partial matches should be allowed.
`void`
`setValue(String theValue)`
Set the value string.
`String`
`toString()`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### value

@Nullable private String value
Value string. This may contain regular expressions.

### caseSensitive

private boolean caseSensitive
Whether case should be taken into account when matching.

### pattern

@Nullable private Pattern pattern
In the regexp case this contains the compiled pattern.

### partialMatch

private boolean partialMatch
Whether partial matches should be allowed.

## Constructor Details

### SourceValue

public SourceValue()

## Method Details

### doInitialize

protected void doInitialize() throws ComponentInitializationException

Overrides:
  `doInitialize` in class `AbstractInitializableComponent`
Throws:
  `ComponentInitializationException`

### setCaseSensitive

public void setCaseSensitive(boolean theCaseSensitive)
Set whether case is sensitive.

Parameters:
  `theCaseSensitive` - whether case should be ignored when matching. Null taken as default;

### isCaseSensitive

public boolean isCaseSensitive()
Gets whether matching should be case sensitive.

Returns:
  whether case should be ignored when matching

### setPartialMatch

public void setPartialMatch(boolean thePartialMatch)
Set whether partial matches should be allowed.

Parameters:
  `thePartialMatch` - whether partial matches should be allowed. Null defaults to false;

### isPartialMatch

public boolean isPartialMatch()
Gets whether partial matches should be allowed.

Returns:
  whether partial matches should be allowed

### setValue

public void setValue(@Nullable String theValue)
Set the value string.

Parameters:
  `theValue` - value string This may contain regular expressions.

### getValue

@Nullable public String getValue()
Gets the value string.

Returns:
  the value string.

### getPattern

@Nullable public Pattern getPattern()
get the compiled pattern. This is compiled in init and hence there is a guard.

Returns:
  Returns the pattern.

### toString

public String toString()

Overrides:
  `toString` in class `Object`